## elogind 246.0~rc2

=== Makefile ===
#if 0 /// The original Makefile follows, which isn't enough for elogind.
# all:
# 	ninja -C build
#
# install:
# 	DESTDIR=$(DESTDIR) ninja -C build install
#else // 0
.PHONY: all build clean install justprint loginctl test test-login

# Set this to YES on the command line for a debug build
DEBUG      ?= NO

# Set this to yes to not build, but to show all build commands ninja would issue
JUST_PRINT ?= NO

HERE := $(shell pwd -P)

BUILDDIR  ?= $(HERE)/build
CGCONTROL ?= $(shell $(HERE)/tools/meson-get-cg-controller.sh)
CGDEFAULT ?= $(shell grep "^rc_cgroup_mode" /etc/rc.conf | cut -d '"' -f 2)
CONFIG    := $(BUILDDIR)/compile_commands.json
DESTDIR   ?=
MESON_LST := $(shell find $(HERE)/ -type f -name 'meson.build') $(HERE)/meson_options.txt
PREFIX    ?= /tmp/elogind_test
VERSION   ?= 9999

CC    ?= $(shell which cc)
LD    ?= $(shell which ld)
LN    := $(shell which ln) -s
MAKE  := $(shell which make)
MESON ?= $(shell which meson)
MKDIR := $(shell which mkdir) -p
RM    := $(shell which rm) -f
SED   := $(shell which sed)

# Save users/systems choice
envCFLAGS   := ${CFLAGS}
envCXXFLAGS := ${CXXFLAGS}
envLDFLAGS  := ${LDFLAGS}

BASIC_OPT := --buildtype release
NINJA_OPT := --verbose

# Make sure "--just-print" gets translated over to ninja
ifneq (,$(findstring n,$(MAKEFLAGS)))
    FILTER_ME = n
    override MAKEFLAGS    := $(filter-out $(FILTER_ME),$(MAKEFLAGS))
    override MAKEOVERRIDE := $(MAKEFLAGS)
    # Explicitly set JUST_PRINT to "YES"
    JUST_PRINT := YES
endif

# Simulate --just-print?
ifeq (YES,$(JUST_PRINT))
    NINJA_OPT := ${NINJA_OPT} -t commands
endif

# Combine with "sane defaults"
ifeq (YES,$(DEBUG))
    BASIC_OPT := -Ddebug-extra=elogind -Dtests=unsafe --buildtype debug
    BUILDDIR  := ${BUILDDIR}_debug
    CFLAGS    := -O0 -g3 -ggdb -ftrapv ${envCFLAGS} -fPIE
    CXXFLAGS  := -O0 -g3 -ggdb -ftrapv ${envCXXFLAGS} -fPIE
    LDFLAGS   := ${envLDFLAGS} -fPIE
    NINJA_OPT := ${NINJA_OPT} -j 1 -k 1
else
    BUILDDIR  := ${BUILDDIR}_release
    CFLAGS   := -O2 -fwrapv ${envCFLAGS}
    CXXFLAGS := -O2 -fwrapv ${envCXXFLAGS}
endif


# Finalize CFLAGS
CFLAGS := -march=native -pipe ${CFLAGS} -Wall -Wextra -Wunused -Wno-unused-parameter -Wno-unused-result -ftree-vectorize


all: build

build: $(CONFIG)
	+(cd $(BUILDDIR) && ninja $(NINJA_OPT))

clean: $(CONFIG)
	(cd $(BUILDDIR) && ninja $(NINJA_OPT) -t cleandead)
	(cd $(BUILDDIR) && ninja $(NINJA_OPT) -t clean)


install: build
	(cd $(BUILDDIR) && DESTDIR=$(DESTDIR) ninja $(NINJA_OPT) install)

justprint: $(CONFIG)
	($(MAKE) all JUST_PRINT=YES | $(SED) -e 's, \.\./, ./,g')

loginctl: $(CONFIG)
	(cd $(BUILDDIR) && ninja $(NINJA_OPT) $@)

test: $(CONFIG)
	(cd $(BUILDDIR) && ninja $(NINJA_OPT) $@)

test-login: $(CONFIG)
	(cd $(BUILDDIR) && ninja $(NINJA_OPT) $@)

$(BUILDDIR):
	+$(MKDIR) $@

$(CONFIG): $(BUILDDIR) $(MESON_LST)
	+test -f $@ && ( \
		CC=$(CC) \
		LD=$(LD) \
		meson configure $(BUILDDIR) $(BASIC_OPT) \
	) || ( \
		CC=$(CC) \
		LD=$(LD) \
		meson setup $(BUILDDIR) $(BASIC_OPT) \
			--libdir $(PREFIX)/usr/lib64 \
			--localstatedir $(PREFIX)/var/lib \
			--prefix $(PREFIX) \
			--sysconfdir $(PREFIX)/etc \
			--wrap-mode nodownload  \
			-Dacl=true \
			-Dbashcompletiondir=$(PREFIX)/usr/share/bash-completion/completions \
			-Dcgroup-controller=$(CGCONTROL) \
			-Ddefault-hierarchy=$(CGDEFAULT) \
			-Ddocdir=$(PREFIX)/usr/share/doc/elogind-$(VERSION) \
			-Defi=true \
			-Dhtml=auto \
			-Dhtmldir=$(PREFIX)/usr/share/doc/elogind-$(VERSION)/html \
			-Dman=auto \
			-Dpam=true \
			-Dpamlibdir=$(PREFIX)/lib64/security \
			-Drootlibdir=$(PREFIX)/lib64 \
			-Drootlibexecdir=$(PREFIX)/lib64/elogind \
			-Drootprefix=$(PREFIX) \
			-Dselinux=false \
			-Dsmack=true \
			-Dudevrulesdir=$(PREFIX)/lib/udev/rules.d \
			-Dzshcompletiondir=$(PREFIX)/usr/share/zsh/site-functions \
	)

#endif // 0

=== meson_options.txt ===
# -*- mode: meson -*-
# SPDX-License-Identifier: LGPL-2.1+

option('version-tag', type : 'string',
       description : 'override the git version string')

option('split-usr', type : 'combo', choices : ['auto', 'true', 'false'],
       description : '''/bin, /sbin aren't symlinks into /usr''')
option('split-bin', type : 'combo', choices : ['auto', 'true', 'false'],
       description : '''sbin is not a symlink to bin''')
option('rootlibdir', type : 'string',
       description : '''[/usr]/lib/x86_64-linux-gnu or such''')
option('rootprefix', type : 'string',
       description : '''override the root prefix [default '/' if split-usr and '/usr' otherwise]''')
#if 0 /// UNNEEDED by elogind
# option('link-udev-shared', type : 'boolean',
#        description : 'link systemd-udev and its helpers to libsystemd-shared.so')
# option('link-systemctl-shared', type: 'boolean',
#        description : 'link systemctl against libsystemd-shared.so')
#endif // 0
option('link-networkd-shared', type: 'boolean',
       description : 'link elogind-networkd and its helpers to libelogind-shared.so')
option('link-timesyncd-shared', type: 'boolean',
       description : 'link elogind-timesyncd and its helpers to libelogind-shared.so')
option('static-libelogind', type : 'combo',
       choices : ['false', 'true', 'pic', 'no-pic'],
#if 0 /// UNNEEDED by elogind
#        description : '''install a static library for libsystemd''')
# option('static-libudev', type : 'combo',
#        choices : ['false', 'true', 'pic', 'no-pic'],
#        description : '''install a static library for libudev''')
# option('standalone-binaries', type : 'boolean', value : 'false',
#        description : '''also build standalone versions of supported binaries''')
#
# option('sysvinit-path', type : 'string', value : '/etc/init.d',
#        description : 'the directory where the SysV init scripts are located')
# option('sysvrcnd-path', type : 'string', value : '/etc/rc.d',
#        description : 'the base directory for SysV rcN.d directories')
# option('telinit-path', type : 'string', value : '/lib/sysvinit/telinit',
#        description : 'path to telinit')
# option('rc-local', type : 'string',
#        value : '/etc/rc.local')
# option('initrd', type: 'boolean',
#        description : 'install services for use when running systemd in initrd')
#
# option('quotaon-path', type : 'string', description : 'path to quotaon')
# option('quotacheck-path', type : 'string', description : 'path to quotacheck')
# option('kmod-path', type : 'string', description : 'path to kmod')
#else // 0
       description : '''install a static library for libelogind''')

# elogind must have a configurable rootlibexecdir
option('rootlibexecdir', type : 'string',
       description : '''override the root libexec directory path''')

# And because elogind depends on external udev, it must be
# configurable as well.
option('udevrulesdir', type : 'string',
       description : '''directory for udev rules files''')

option('udevbindir', type : 'string',
       description : '''directory for udev binary files''')

# We are nice and make the documentation paths configurable
option('docdir', type : 'string', description : 'path where to install the documentation.')
option('htmldir', type : 'string', description : 'path where to install the HTML documentation.')

# We have no systemd-shutdown binary, so we need 'halt', 'reboot' and 'poweroff'
option('halt-path', type : 'string', description : 'path to halt')
option('poweroff-path', type : 'string', description : 'path to poweroff')
option('reboot-path', type : 'string', description : 'path to reboot')
#endif // 0
option('kexec-path', type : 'string', description : 'path to kexec')
#if 0 /// UNNEEDED by elogind
# option('sulogin-path', type : 'string', description : 'path to sulogin')
# option('mount-path', type : 'string', description : 'path to mount')
# option('umount-path', type : 'string', description : 'path to umount')
# option('loadkeys-path', type : 'string', description : 'path to loadkeys')
# option('setfont-path', type : 'string', description : 'path to setfont')
#endif // 0
option('nologin-path', type : 'string', description : 'path to nologin')

#if 0 /// UNNEEDED by elogind
# option('debug-shell', type : 'string', value : '/bin/sh',
#        description : 'path to debug shell binary')
# option('debug-tty', type : 'string', value : '/dev/tty9',
#        description : 'specify the tty device for debug shell')
# option('debug-extra', type : 'array', choices : ['hashmap', 'mmap-cache', 'siphash'], value : [],
#        description : 'enable extra debugging')
#else // 0
option('debug-extra', type : 'array', choices : ['elogind', 'hashmap', 'mmap-cache', 'siphash'], value : [],
       description : 'enable extra debugging')
#endif // 0
#if 0 /// UNNEEDED by elogind
# option('memory-accounting-default', type : 'boolean',
#        description : 'enable MemoryAccounting= by default')
# option('bump-proc-sys-fs-file-max', type : 'boolean',
#        description : 'bump /proc/sys/fs/file-max to LONG_MAX')
# option('bump-proc-sys-fs-nr-open', type : 'boolean',
#        description : 'bump /proc/sys/fs/nr_open to INT_MAX')
#endif // 0
option('valgrind', type : 'boolean', value : false,
       description : 'do extra operations to avoid valgrind warnings')
option('log-trace', type : 'boolean', value : false,
       description : 'enable low level debug logging')
option('user-path', type : 'string',
       description : '$PATH to use for user sessions')

option('utmp', type : 'boolean',
       description : 'support for utmp/wtmp log handling')
#if 0 /// UNNEEDED by elogind
# option('hibernate', type : 'boolean',
#        description : 'support for hibernation')
# option('ldconfig', type : 'boolean',
#        description : 'support for dynamic linker cache creation')
# option('resolve', type : 'boolean',
#        description : 'systemd-resolved stack')
# option('efi', type : 'boolean',
#        description : 'enable systemd-boot and bootctl')
# option('tpm', type : 'boolean',
#        description : 'TPM should be used to log events and extend the registers')
# option('environment-d', type : 'boolean',
#        description : 'support for environment.d')
# option('binfmt', type : 'boolean',
#        description : 'support for custom binary formats')
# option('repart', type : 'combo', choices : ['auto', 'true', 'false'],
#        description : 'install the systemd-repart tool')
# option('coredump', type : 'boolean',
#        description : 'install the coredump handler')
# option('pstore', type : 'boolean',
#        description : 'install the pstore archival tool')
# option('logind', type : 'boolean',
#        description : 'install the systemd-logind stack')
# option('hostnamed', type : 'boolean',
#        description : 'install the systemd-hostnamed stack')
# option('localed', type : 'boolean',
#        description : 'install the systemd-localed stack')
# option('machined', type : 'boolean',
#        description : 'install the systemd-machined stack')
# option('portabled', type : 'boolean',
#        description : 'install the systemd-portabled stack')
# option('userdb', type : 'boolean',
#        description : 'install the systemd-userdbd stack')
# option('homed', type : 'combo', choices : ['auto', 'true', 'false'],
#        description : 'install the systemd-homed stack')
# option('networkd', type : 'boolean',
#        description : 'install the systemd-networkd stack')
# option('timedated', type : 'boolean',
#        description : 'install the systemd-timedated daemon')
# option('timesyncd', type : 'boolean',
#        description : 'install the systemd-timesyncd daemon')
# option('remote', type : 'combo', choices : ['auto', 'true', 'false'],
#        description : 'support for "journal over the network"')
# option('create-log-dirs', type : 'boolean',
#        description : 'create /var/log/journal{,/remote}')
# option('nss-myhostname', type : 'boolean',
#        description : 'install nss-myhostname module')
# option('nss-mymachines', type : 'combo', choices : ['auto', 'true', 'false'],
#        description : 'install nss-mymachines module')
# option('nss-resolve', type : 'combo', choices : ['auto', 'true', 'false'],
#        description : 'install nss-resolve module')
# option('nss-systemd', type : 'boolean',
#        description : 'install nss-systemd module')
# option('firstboot', type : 'boolean',
#        description : 'support for firstboot mechanism')
# option('randomseed', type : 'boolean',
#        description : 'support for restoring random seed')
# option('backlight', type : 'boolean',
#        description : 'support for restoring backlight state')
# option('vconsole', type : 'boolean',
#        description : 'support for vconsole configuration')
# option('quotacheck', type : 'boolean',
#        description : 'support for the quotacheck tools')
# option('sysusers', type : 'boolean',
#        description : 'support for the sysusers configuration')
# option('tmpfiles', type : 'boolean',
#        description : 'support for tmpfiles.d')
# option('importd', type : 'combo', choices : ['auto', 'true', 'false'],
#        description : 'install the systemd-importd daemon')
# option('hwdb', type : 'boolean',
#        description : 'support for the hardware database')
# option('rfkill', type : 'boolean',
#        description : 'support for the rfkill tools')
# option('xdg-autostart', type : 'boolean',
#        description : 'install the xdg-autostart-generator and unit')
#else // 0
option('efi', type : 'boolean',
       description : 'enable EFI support')
#endif // 0
option('man', type : 'combo', choices : ['auto', 'true', 'false'],
       value : 'false',
       description : 'build and install man pages')
option('html', type : 'combo', choices : ['auto', 'true', 'false'],
       value : 'false',
       description : 'build and install html pages')

#if 0 /// UNNEEDED by elogind
# option('certificate-root', type : 'string', value : '/etc/ssl',
#        description : 'the prefix for TLS certificates')
#endif // 0
option('dbuspolicydir', type : 'string',
       description : 'D-Bus policy directory')
option('dbussessionservicedir', type : 'string',
       description : 'D-Bus session service directory')
option('dbussystemservicedir', type : 'string',
       description : 'D-Bus system service directory')
option('pkgconfigdatadir', type : 'string', value : '',
       description : 'directory for arch-independent pkg-config files')
option('pkgconfiglibdir', type : 'string', value : '',
       description : 'directory for standard pkg-config files')
#if 0 /// UNNEEDED by elogind
# option('rpmmacrosdir', type : 'string', value : 'lib/rpm/macros.d',
#        description : 'directory for rpm macros ["no" disables]')
#endif // 0
option('pamlibdir', type : 'string',
       description : 'directory for PAM modules')
option('pamconfdir', type : 'string',
       description : 'directory for PAM configuration ["no" disables]')
option('docdir', type : 'string',
       description : 'documentation directory')

option('fallback-hostname', type : 'string', value : 'localhost',
       description : 'the hostname used if none configured')
#if 0 /// UNNEEDED by elogind
# option('compat-gateway-hostname', type : 'boolean', value : 'false',
#        description : 'allow "gateway" as the symbolic name for default gateway')
#endif // 0
option('default-hierarchy', type : 'combo',
       choices : ['legacy', 'hybrid', 'unified'], value : 'unified',
#if 0 /// elogind interprets this a bit different
#        description : 'default cgroup hierarchy')
#else // 0
       description : '''Wanted cgroup hierarchy if elogind has to be a cgroup controller:
                "legacy"  assumes tmpfs mounted on /sys/fs/cgroup and cgroup on its
                                  subfolders.
                "hybrid"  assumes cgroups version 2 mounted on /sys/fs/cgroup/unified.
                                  /sys/fs/cgroup is legacy, then.

=== debian/changelog ===
elogind (246.0~rc2-1) experimental; urgency=medium

  * Merge upstream v246.0-rc2.
  * Remove patch applied upstream.

 -- Mark Hindley <mark@hindley.org.uk>  Fri, 13 Nov 2020 10:45:00 +0000

elogind (246.0~rc1-1) experimental; urgency=medium

  * Merge upstream v246.0-rc1.
  * Refresh quilt patch.
  * Fix mismerge causing test-fs-util failure.
  * d/control: update Vcs-* following gitea migration.

 -- Mark Hindley <mark@hindley.org.uk>  Tue, 10 Nov 2020 20:52:37 +0000

=== debian/control ===
Source: elogind
Section: admin
Priority: optional
Maintainer: Mark Hindley <mark@hindley.org.uk>
Standards-Version: 4.5.0
Vcs-Git: https://git.devuan.org/devuan/elogind.git -b devuan
Vcs-Browser: https://git.devuan.org/devuan/elogind/tree/devuan
Homepage: https://github.com/elogind/elogind
Origin: Devuan
Build-Depends: debhelper (>= 11),
               dh-exec (>=0.3),
               dpkg-dev (>= 1.16.0),
               pkg-config,
               docbook-xsl,
               meson,
               gperf (>= 3.1),
               gtk-doc-tools,
               python3-lxml,
               libcap-dev,
               libudev-dev,
               libmount-dev (>= 2.27.1),
               libseccomp-dev (>= 2.3.1),
               libblkid-dev (>= 2.24),
               libpam0g-dev (>= 1.1.2),
               libacl1-dev,
               libselinux1-dev,
               libglib2.0-dev,
               dbus (>= 1.9.14)

Package: elogind
Section: admin
Priority: optional
Architecture: linux-any
Multi-Arch: foreign
Pre-Depends: debconf, ${misc:Pre-Depends}
Depends: ${shlibs:Depends},
         ${misc:Depends},
         libudev1,
         libelogind0 (= ${binary:Version}),
         lsb-base (>= 3.1),
         dbus (>= 1.9.14)
Recommends: libpam-elogind, policykit-1
Conflicts: systemd
Breaks: udev (<< 1:3.2.2+devuan1)
Replaces: udev (<< 1:3.2.2+devuan1)
Description: user, seat and session management daemon
 elogind is a session management daemon extracted from systemd project's
 "logind"

Package: libelogind0
Section: libs
Priority: optional
Architecture: linux-any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends},
         ${misc:Depends}
Provides: libsystemd0 (= ${source:Upstream-Version})
Replaces: libsystemd0
Conflicts: libsystemd0
Description: user, seat and session management library
 This library provides runtime access to elogind session management.
 .
 The library is ABI compatible with libsystemd0 and provides the necessary
 symlinks to allow binaries linked against libsystemd0 to work with
 libelogind0. For full details of the compatibility see README.Debian.

Package: libelogind-dev
Section: libdevel
Priority: optional
Architecture: linux-any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends},
         ${misc:Depends},
         libelogind0 (= ${binary:Version})
Suggests: libelogind-dev-doc
Description: user, seat and session management library (development files)
 This package contains the files needed for developing applications that 
 use libelogind

Package: libelogind-dev-doc
Section: doc
Priority: optional
Architecture: all
Multi-Arch: foreign
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends},
         ${misc:Depends}
Recommends: libelogind-dev (= ${binary:Version})
Replaces: libelogind-dev (<< 239.1+20181115-1)
Breaks: libelogind-dev (<< 239.1+20181115-1)
Conflicts: libsystemd-dev
Description: user, seat and session management library (development documentation files)
 This package contains the documentation related to developing applications that
 use libelogind

Package: libpam-elogind
Section: admin
Priority: optional
Architecture: linux-any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends},
         ${misc:Depends},
         elogind (= ${binary:Version}),
         libpam-runtime
Conflicts: libpam-ck-connector
Breaks: libpam-systemd
Provides: libpam-systemd, logind, default-logind
Replaces: libpam-systemd
Description: elogind PAM module 
 Plugable Authentication Module to register a session with elogind

## elogind 246.9

=== debian/changelog ===
elogind (246.9-1) unstable; urgency=medium

  [ Mark Hindley ]
  * Merge upstream v246.9.
  * Refresh quilt patch.
  * d/control: update Vcs-* following gitea migration.

  [ Unit193 ]
  * d/control: Rules-Requires-Root: no.
  * d/control: change to debhelper-compat.
  * d/control: cleanup wrapping and whitepace.
  * d/control: update to Standards Version 4.5.1 (no changes).
  * d/control: remove dpkg-dev build-dep that is automatically satisfied.
  * d/copyright: use HTTPS scheme for url.

 -- Mark Hindley <mark@hindley.org.uk>  Sat, 19 Dec 2020 16:44:07 +0000

## elogind 246.9.1

=== Makefile ===
--- 
+++ 
@@ -6,6 +6,7 @@
 # 	DESTDIR=$(DESTDIR) ninja -C build install
 #else // 0
 .PHONY: all build clean install justprint loginctl test test-login
+export
 
 # Set this to YES on the command line for a debug build
 DEBUG      ?= NO
@@ -15,10 +16,10 @@
 
 HERE := $(shell pwd -P)
 
+BASIC_OPT := --buildtype release
 BUILDDIR  ?= $(HERE)/build
 CGCONTROL ?= $(shell $(HERE)/tools/meson-get-cg-controller.sh)
 CGDEFAULT ?= $(shell grep "^rc_cgroup_mode" /etc/rc.conf | cut -d '"' -f 2)
-CONFIG    := $(BUILDDIR)/compile_commands.json
 DESTDIR   ?=
 MESON_LST := $(shell find $(HERE)/ -type f -name 'meson.build') $(HERE)/meson_options.txt
 PREFIX    ?= /tmp/elogind_test
@@ -31,11 +32,9 @@
 MESON ?= $(shell which meson)
 MKDIR := $(shell which mkdir) -p
 RM    := $(shell which rm) -f
-SED   := $(shell which sed)
 
 # Save users/systems choice
 envCFLAGS   := ${CFLAGS}
-envCXXFLAGS := ${CXXFLAGS}
 envLDFLAGS  := ${LDFLAGS}
 
 BASIC_OPT := --buildtype release
@@ -57,59 +56,70 @@
 
 # Combine with "sane defaults"
 ifeq (YES,$(DEBUG))
-    BASIC_OPT := -Ddebug-extra=elogind -Dtests=unsafe --buildtype debug
+    BASIC_OPT := --werror -Dlog-trace=true -Dtests=unsafe -Dslow-tests=true -Ddebug-extra=elogind --buildtype debug
     BUILDDIR  := ${BUILDDIR}_debug
     CFLAGS    := -O0 -g3 -ggdb -ftrapv ${envCFLAGS} -fPIE
-    CXXFLAGS  := -O0 -g3 -ggdb -ftrapv ${envCXXFLAGS} -fPIE
     LDFLAGS   := ${envLDFLAGS} -fPIE
     NINJA_OPT := ${NINJA_OPT} -j 1 -k 1
 else
     BUILDDIR  := ${BUILDDIR}_release
-    CFLAGS   := -O2 -fwrapv ${envCFLAGS}
-    CXXFLAGS := -O2 -fwrapv ${envCXXFLAGS}
+    CFLAGS   := -fwrapv ${envCFLAGS}
 endif
 
+# Set search paths including the actual build directory
+VPATH  := $(BUILDDIR):$(HERE):$(HERE)/src
+
+# Set the build configuration we use to check whether a reconfiguration is needed
+CONFIG := $(BUILDDIR)/compile_commands.json
 
 # Finalize CFLAGS
-CFLAGS := -march=native -pipe ${CFLAGS} -Wall -Wextra -Wunused -Wno-unused-parameter -Wno-unused-result -ftree-vectorize
+CFLAGS := -march=native -pipe ${CFLAGS} -Wunused -ftree-vectorize
 
 
 all: build
 
 build: $(CONFIG)
+	+@(echo "make[2]: Entering directory '$(BUILDDIR)'")
 	+(cd $(BUILDDIR) && ninja $(NINJA_OPT))
+	+@(echo "make[2]: Leaving directory '$(BUILDDIR)'")
 
 clean: $(CONFIG)
+	+@(echo "make[2]: Entering directory '$(BUILDDIR)'")
 	(cd $(BUILDDIR) && ninja $(NINJA_OPT) -t cleandead)
 	(cd $(BUILDDIR) && ninja $(NINJA_OPT) -t clean)
-
+	+@(echo "make[2]: Leaving directory '$(BUILDDIR)'")
 
 install: build
+	+@(echo "make[2]: Entering directory '$(BUILDDIR)'")
 	(cd $(BUILDDIR) && DESTDIR=$(DESTDIR) ninja $(NINJA_OPT) install)
+	+@(echo "make[2]: Leaving directory '$(BUILDDIR)'")
 
 justprint: $(CONFIG)
-	($(MAKE) all JUST_PRINT=YES | $(SED) -e 's, \.\./, ./,g')
+	+(BUILDDIR=$(HERE)/build $(MAKE) all JUST_PRINT=YES)
 
 loginctl: $(CONFIG)
+	+@(echo "make[2]: Entering directory '$(BUILDDIR)'")
 	(cd $(BUILDDIR) && ninja $(NINJA_OPT) $@)
+	+@(echo "make[2]: Leaving directory '$(BUILDDIR)'")
 
 test: $(CONFIG)
+	+@(echo "make[2]: Entering directory '$(BUILDDIR)'")
 	(cd $(BUILDDIR) && ninja $(NINJA_OPT) $@)
+	+@(echo "make[2]: Leaving directory '$(BUILDDIR)'")
 
 test-login: $(CONFIG)
+	+@(echo "make[2]: Entering directory '$(BUILDDIR)'")
 	(cd $(BUILDDIR) && ninja $(NINJA_OPT) $@)
+	+@(echo "make[2]: Leaving directory '$(BUILDDIR)'")
 
 $(BUILDDIR):
 	+$(MKDIR) $@
 
 $(CONFIG): $(BUILDDIR) $(MESON_LST)
+	@echo " Generating $@"
 	+test -f $@ && ( \
-		CC=$(CC) \
-		LD=$(LD) \
 		meson configure $(BUILDDIR) $(BASIC_OPT) \
 	) || ( \
-		CC=$(CC) \
-		LD=$(LD) \
 		meson setup $(BUILDDIR) $(BASIC_OPT) \
 			--libdir $(PREFIX)/usr/lib64 \
 			--localstatedir $(PREFIX)/var/lib \

=== meson_options.txt ===
--- 
+++ 
@@ -17,11 +17,11 @@
 #        description : 'link systemd-udev and its helpers to libsystemd-shared.so')
 # option('link-systemctl-shared', type: 'boolean',
 #        description : 'link systemctl against libsystemd-shared.so')
-#endif // 0
-option('link-networkd-shared', type: 'boolean',
-       description : 'link elogind-networkd and its helpers to libelogind-shared.so')
-option('link-timesyncd-shared', type: 'boolean',
-       description : 'link elogind-timesyncd and its helpers to libelogind-shared.so')
+# option('link-networkd-shared', type: 'boolean',
+#        description : 'link systemd-networkd and its helpers to libsystemd-shared.so')
+# option('link-timesyncd-shared', type: 'boolean',
+#        description : 'link systemd-timesyncd and its helpers to libsystemd-shared.so')
+#endif // 0
 option('static-libelogind', type : 'combo',
        choices : ['false', 'true', 'pic', 'no-pic'],
 #if 0 /// UNNEEDED by elogind

=== debian/changelog ===
elogind (246.9.1-1.0antix1) unstable; urgency=medium

  * antiX builds 

 -- anticapitalista <antix@operamail.com>  Tue, 22 Dec 2020 22:54:01 +0200

elogind (246.9.1-1) unstable; urgency=medium

  * Merge v246.9.1.

 -- Mark Hindley <mark@hindley.org.uk>  Tue, 22 Dec 2020 16:25:53 +0000

=== debian/control ===
--- 
+++ 
@@ -2,14 +2,14 @@
 Section: admin
 Priority: optional
 Maintainer: Mark Hindley <mark@hindley.org.uk>
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Vcs-Git: https://git.devuan.org/devuan/elogind.git -b devuan
 Vcs-Browser: https://git.devuan.org/devuan/elogind/tree/devuan
 Homepage: https://github.com/elogind/elogind
 Origin: Devuan
-Build-Depends: debhelper (>= 11),
+Rules-Requires-Root: no
+Build-Depends: debhelper-compat (= 12),
                dh-exec (>=0.3),
-               dpkg-dev (>= 1.16.0),
                pkg-config,
                docbook-xsl,
                meson,
@@ -76,8 +76,8 @@
          libelogind0 (= ${binary:Version})
 Suggests: libelogind-dev-doc
 Description: user, seat and session management library (development files)
- This package contains the files needed for developing applications that 
- use libelogind
+ This package contains the files needed for developing applications that use
+ libelogind
 
 Package: libelogind-dev-doc
 Section: doc
@@ -109,6 +109,5 @@
 Breaks: libpam-systemd
 Provides: libpam-systemd, logind, default-logind
 Replaces: libpam-systemd
-Description: elogind PAM module 
+Description: elogind PAM module
  Plugable Authentication Module to register a session with elogind
-

## elogind 246.10

=== Makefile ===
#if 0 /// The original Makefile follows, which isn't enough for elogind.
# all:
# 	ninja -C build
#
# install:
# 	DESTDIR=$(DESTDIR) ninja -C build install
#else // 0
.PHONY: all build clean install justprint loginctl test test-login
export

# Set this to YES on the command line for a debug build
DEBUG      ?= NO

# Set this to yes to not build, but to show all build commands ninja would issue
JUST_PRINT ?= NO

HERE := $(shell pwd -P)

BASIC_OPT  := --buildtype release
BUILDDIR   ?= $(HERE)/build
CGCONTROL  ?= $(shell $(HERE)/tools/meson-get-cg-controller.sh)
CGDEFAULT  ?= $(shell grep "^rc_cgroup_mode" /etc/rc.conf | cut -d '"' -f 2)
DESTDIR    ?=
MESON_LST  := $(shell find $(HERE)/ -type f -name 'meson.build') $(HERE)/meson_options.txt
PREFIX     ?= /tmp/elogind_test
ROOTPREFIX ?= $(PREFIX)
SYSCONFDIR ?= $(PREFIX)/etc
VERSION    ?= 9999

CC    ?= $(shell which cc)
LD    ?= $(shell which ld)
LN    := $(shell which ln) -s
MAKE  := $(shell which make)
MESON ?= $(shell which meson)
MKDIR := $(shell which mkdir) -p
NINJA ?= $(shell which ninja)
RM    := $(shell which rm) -f

# Save users/systems choice
envCFLAGS   := ${CFLAGS}
envLDFLAGS  := ${LDFLAGS}

BASIC_OPT := --buildtype release
NINJA_OPT := --verbose

# Make sure "--just-print" gets translated over to ninja
ifneq (,$(findstring n,$(MAKEFLAGS)))
    FILTER_ME = n
    override MAKEFLAGS    := $(filter-out $(FILTER_ME),$(MAKEFLAGS))
    override MAKEOVERRIDE := $(MAKEFLAGS)
    # Explicitly set JUST_PRINT to "YES"
    JUST_PRINT := YES
endif

# Simulate --just-print?
ifeq (YES,$(JUST_PRINT))
    NINJA_OPT := ${NINJA_OPT} -t commands
endif

# Combine with "sane defaults"
ifeq (YES,$(DEBUG))
    BASIC_OPT := --werror -Dlog-trace=true -Dtests=unsafe -Dslow-tests=true -Ddebug-extra=elogind --buildtype debug
    BUILDDIR  := ${BUILDDIR}_debug
    CFLAGS    := -O0 -g3 -ggdb -ftrapv ${envCFLAGS} -fPIE
    LDFLAGS   := -fPIE
    NINJA_OPT := ${NINJA_OPT} -j 1 -k 1
else
    BUILDDIR  := ${BUILDDIR}_release
    CFLAGS    := -fwrapv ${envCFLAGS}
    LDFLAGS   :=
endif

# Set search paths including the actual build directory
VPATH  := $(BUILDDIR):$(HERE):$(HERE)/src

# Set the build configuration we use to check whether a reconfiguration is needed
CONFIG := $(BUILDDIR)/compile_commands.json

# Finalize CFLAGS
CFLAGS := -march=native -pipe ${CFLAGS} -Wunused -ftree-vectorize

# Finalize LDFLAGS
LDFLAGS := ${envLDFLAGS} ${LDFLAGS} -lpthread


all: build

build: $(CONFIG)
	+@(echo "make[2]: Entering directory '$(BUILDDIR)'")
	+(cd $(BUILDDIR) && $(NINJA) $(NINJA_OPT))
	+@(echo "make[2]: Leaving directory '$(BUILDDIR)'")

clean: $(CONFIG)
	+@(echo "make[2]: Entering directory '$(BUILDDIR)'")
	(cd $(BUILDDIR) && $(NINJA) $(NINJA_OPT) -t cleandead)
	(cd $(BUILDDIR) && $(NINJA) $(NINJA_OPT) -t clean)
	+@(echo "make[2]: Leaving directory '$(BUILDDIR)'")

install: build
	+@(echo "make[2]: Entering directory '$(BUILDDIR)'")
	(cd $(BUILDDIR) && DESTDIR=$(DESTDIR) $(NINJA) $(NINJA_OPT) install)
	+@(echo "make[2]: Leaving directory '$(BUILDDIR)'")

justprint: $(CONFIG)
	+(BUILDDIR=$(HERE)/build $(MAKE) all JUST_PRINT=YES)

loginctl: $(CONFIG)
	+@(echo "make[2]: Entering directory '$(BUILDDIR)'")
	(cd $(BUILDDIR) && $(NINJA) $(NINJA_OPT) $@)
	+@(echo "make[2]: Leaving directory '$(BUILDDIR)'")

test: $(CONFIG)
	+@(echo "make[2]: Entering directory '$(BUILDDIR)'")
	(cd $(BUILDDIR) && $(NINJA) $(NINJA_OPT) $@)
	+@(echo "make[2]: Leaving directory '$(BUILDDIR)'")

test-login: $(CONFIG)
	+@(echo "make[2]: Entering directory '$(BUILDDIR)'")
	(cd $(BUILDDIR) && $(NINJA) $(NINJA_OPT) $@)
	+@(echo "make[2]: Leaving directory '$(BUILDDIR)'")

$(BUILDDIR):
	+$(MKDIR) $@

$(CONFIG): $(BUILDDIR) $(MESON_LST)
	@echo " Generating $@"
	+test -f $@ && ( \
		$(MESON) configure $(BUILDDIR) $(BASIC_OPT) \
	) || ( \
		$(MESON) setup $(BUILDDIR) $(BASIC_OPT) \
			--prefix $(PREFIX) \
			--wrap-mode nodownload  \
			-Drootprefix=$(ROOTPREFIX) \
			-Dsysconfdir=$(SYSCONFDIR) \
			-Dacl=true \
			-Dcgroup-controller=$(CGCONTROL) \
			-Ddefault-hierarchy=$(CGDEFAULT) \
			-Defi=true \
			-Dhtml=auto \
			-Dman=auto \
			-Dpam=true \
			-Dselinux=false \
			-Dsmack=true \
	)

#endif // 0

=== debian/changelog ===
elogind (246.10-1debian1) unstable; urgency=medium

  * New upstream version 246.10, includes fix for building with gcc >= 10.
  * Add patch to reenable runtime only policykit support disabled upstream.
  * Override lintian missing-systemd-service-for-init.d-script elogind.

 -- Mark Hindley <mark@hindley.org.uk>  Tue, 17 Jan 2023 08:46:22 +0000

elogind (246.9.1-2) unstable; urgency=medium

  * Remove unnecessary build-depends (Closes: #980898)
  * d/control:
     - change policykit-1 recommends to polkitd (Closes: #1025560)
     - bump Standards Version (no changes)
  * Symlink .so file in -dev package rather than using compile time
    generated file: fixes lintian warning.

 -- Mark Hindley <mark@hindley.org.uk>  Mon, 16 Jan 2023 12:49:09 +0000

elogind (246.9.1-1+debian1) unstable; urgency=medium

  * New upstream version 246.9.1
      + Log to syslog rather than kernel log (Closes: #964006).
  * d/changelog: fix typo in previous entry.

 -- Mark Hindley <mark@hindley.org.uk>  Tue, 22 Dec 2020 16:53:57 +0000

elogind (246.9-1+debian1) unstable; urgency=medium

  [ Mark Hindley ]
  * Merge upstream v246.9
    + Support ABI of systemd-logind 246 (Closes: #968379).
  * Refresh quilt patch.
  * d/control: update Vcs-* following gitea migration.
  * Document solutions for libelogind0/libsystemd-dev build-depends
    conflict.
  * Change rootlibdir to /lib.

  [ Unit193 ]
  * d/control: Rules-Requires-Root: no.
  * d/control: change to debhelper-compat.
  * d/control: cleanup wrapping and whitespace.
  * d/control: update to Standards Version 4.5.1 (no changes).
  * d/control: remove dpkg-dev build-dep that is automatically satisfied.
  * d/copyright: use HTTPS scheme for url.

 -- Mark Hindley <mark@hindley.org.uk>  Sat, 19 Dec 2020 16:44:07 +0000

elogind (243.7-1+debian1) unstable; urgency=medium

  * New upstream version 243.7.
  * Update to Standards version 4.5.0 (no changes).

 -- Mark Hindley <mark@hindley.org.uk>  Sun, 24 May 2020 11:26:10 +0100

elogind (241.3-1+debian3) unstable; urgency=medium

  * Change default for RemoveIPC to no (Closes: #949698).

 -- Mark Hindley <mark@hindley.org.uk>  Sun, 26 Jan 2020 11:40:19 +0000

elogind (241.3-1+debian2) unstable; urgency=medium

  * Only build-depend on libseccomp-dev on architectures supporting it.
    Thanks to John Paul Adrian Glaubitz for the suggestion. (Closes: #940681).
  * Update Build-Depends minimum versions.
  * Add details of sd-daemon(3) implementation to libelogind0 package
    description.
  * elogind Recommends libpam-elogind.
  * Update to standards version 4.4.1 (no changes).

 -- Mark Hindley <mark@hindley.org.uk>  Thu, 14 Nov 2019 18:40:09 +0000

elogind (241.3-1+debian1) unstable; urgency=medium

  [ Mark Hindley ]
  * New upstream release v241.3.
  * Upgrade to Standards Version 4.4.0 (no changes).
  * Correctly license AppStream metadata as CC0-1.0 in d/copyright.

  [ Andreas Messer ]
  * Retire from maintenance of this package.

  [ Andreas Beckmann ]
  * Simplify libsystemd.so compatibility symlink setup.  (Closes: #926591)

 -- Mark Hindley <mark@hindley.org.uk>  Tue, 09 Jul 2019 08:51:27 +0100

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,13 @@
 Source: elogind
 Section: admin
 Priority: optional
-Maintainer: Mark Hindley <mark@hindley.org.uk>
-Standards-Version: 4.5.1
-Vcs-Git: https://git.devuan.org/devuan/elogind.git -b devuan
-Vcs-Browser: https://git.devuan.org/devuan/elogind/tree/devuan
+Maintainer: Debian Ecosystem Init Diversity Team <debian-init-diversity@chiark.greenend.org.uk>
+Uploaders: Mark Hindley <mark@hindley.org.uk>,
+           Ian Jackson <ijackson@chiark.greenend.org.uk>
+Standards-Version: 4.6.2
+Vcs-Git: https://git.devuan.org/devuan/elogind.git -b debian
+Vcs-Browser: https://git.devuan.org/devuan/elogind/tree/debian
 Homepage: https://github.com/elogind/elogind
-Origin: Devuan
 Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 12),
                dh-exec (>=0.3),
@@ -18,14 +19,12 @@
                python3-lxml,
                libcap-dev,
                libudev-dev,
-               libmount-dev (>= 2.27.1),
-               libseccomp-dev (>= 2.3.1),
-               libblkid-dev (>= 2.24),
+               libseccomp-dev (>= 2.3.1) [amd64 arm64 armel armhf i386 mips mipsel mips64 mips64el x32 powerpc ppc64 ppc64el s390x],
                libpam0g-dev (>= 1.1.2),
                libacl1-dev,
                libselinux1-dev,
-               libglib2.0-dev,
-               dbus (>= 1.9.14)
+               libglib2.0-dev <!nocheck>,
+               dbus (>= 1.9.14) <!nocheck>,
 
 Package: elogind
 Section: admin
@@ -39,10 +38,8 @@
          libelogind0 (= ${binary:Version}),
          lsb-base (>= 3.1),
          dbus (>= 1.9.14)
-Recommends: libpam-elogind, policykit-1
+Recommends: libpam-elogind, polkitd
 Conflicts: systemd
-Breaks: udev (<< 1:3.2.2+devuan1)
-Replaces: udev (<< 1:3.2.2+devuan1)
 Description: user, seat and session management daemon
  elogind is a session management daemon extracted from systemd project's
  "logind"
@@ -57,7 +54,7 @@
          ${misc:Depends}
 Provides: libsystemd0 (= ${source:Upstream-Version})
 Replaces: libsystemd0
-Conflicts: libsystemd0
+Conflicts: libsystemd0, systemd
 Description: user, seat and session management library
  This library provides runtime access to elogind session management.
  .
@@ -105,9 +102,8 @@
          ${misc:Depends},
          elogind (= ${binary:Version}),
          libpam-runtime
-Conflicts: libpam-ck-connector
-Breaks: libpam-systemd
-Provides: libpam-systemd, logind, default-logind
-Replaces: libpam-systemd
+Provides: logind (= ${binary:Version})
+Conflicts: logind, libpam-ck-connector
+Replaces: logind
 Description: elogind PAM module
  Plugable Authentication Module to register a session with elogind

=== debian/rules ===
#! /usr/bin/make -f

# The options have been chosen as follows:
# - manually set pamlibdir because we're installing in /usr by default but
#   pam libs must go to /lib/*/security, same for udev rules
# - disable killing users processes by default. This is weird an unexpected
#   behaviour

CONFFLAGS = \
  -Dpamlibdir=/lib/$(DEB_HOST_MULTIARCH)/security \
  -Drootlibdir=/lib/$(DEB_HOST_MULTIARCH) \
  -Dsplit-usr=true \
  -Ddocdir=/usr/share/doc/elogind \
  -Dman=true \
  -Dudevrulesdir=/lib/udev/rules.d \
  -Ddefault-kill-user-processes=false \
  -Dtests=true

CONFFLAGS_CGROUPCTRL_ELOGIND= \
  -Dcgroup-controller=elogind

override_dh_auto_configure:
	dh_auto_configure --builddirectory=build \
        -- $(CONFFLAGS) $(CONFFLAGS_CGROUPCTRL_ELOGIND)

override_dh_auto_install:
	dh_auto_install --builddirectory=build

override_dh_auto_clean:
	dh_auto_clean --builddirectory=build
	# remove Python byte code files
	rm -rf tools/__pycache__/

override_dh_missing:
	dh_missing --list-missing

override_dh_makeshlibs:
	dh_makeshlibs -pelogind -Xlibelogind-shared
	dh_makeshlibs --remaining

override_dh_shlibdeps:
	dh_shlibdeps -- -xlibeudev1

%:
	dh $@  --builddirectory=build --without autoreconf,systemd --buildsystem=meson

=== debian/watch ===
# watch control file for uscan
# See uscan(1) for format

version=3

# For GitHub projects you can use the tags or releases page.  Since the archive
# URLs use only the version as the name, it is recommended to use a
# filenamemangle to adjust the name of the downloaded file:
opts="filenamemangle=s/(?:.*)?v?(\d[\d\.]*)\.tar\.gz/elogind-$1.tar.gz/, dversionmangle=s/\+nosubmodule//"
 https://github.com/elogind/elogind/tags (?:.*/)?v?(\d[\d\.]*)\.tar\.gz

## elogind 252.9

=== debian/changelog ===
elogind (252.9-1~rc1.0antix1) unstable; urgency=medium

  * antiX builds allow for runit scripts

 -- anticapitalista <antix@operamail.com>  Wed, 06 Sep 2023 14:47:36 +0300

elogind (252.9-1~rc1) experimental; urgency=medium

  * New upstream version 252.9.
  * Drop patches applied upstream.
  * Refresh patches.
  * d/elogind.init: revert workaround for #619; fixed upstream.
  * d/control:
    - add python3-jinja2 build-dep.
    - remove obsolete lsb-base dependency.
    - change policykit-1 recommends to polkitd (See: Debian#1025560).
  * d/not-installed: update pam.d/elogind-user path.
  * d/elogind.install:
    - include new /etc/elogind/sleep.conf.
    - add private library, now in /lib/<triplet>/elogind.
  * d/rules:
    - configure with mode=release.
  * Override lintian missing-systemd-service-for-init.d-script elogind.

 -- Mark Hindley <mark@hindley.org.uk>  Tue, 23 May 2023 11:06:28 +0100

elogind (246.10-5) unstable; urgency=medium

  * libelogind-compat: Fix package name in Breaks: libelogind0.

 -- Mark Hindley <mark@hindley.org.uk>  Tue, 26 Apr 2022 14:43:29 +0100

elogind (246.10-4) unstable; urgency=medium

  * Make libelogind0 coinstallable with libsystemd0 and add new
    libelogind-compat package.
  * Add new dummy-logind package.
  * Revert "Let elogind conflict with systemd" to allow coninstallation
    with dummy-systemd-dev.

 -- Mark Hindley <mark@hindley.org.uk>  Sat, 09 Apr 2022 13:39:05 +0100

elogind (246.10-3) unstable; urgency=medium

  * Prevent restart if startx session is running (Closes: #619).

 -- Mark Hindley <mark@hindley.org.uk>  Wed, 27 Oct 2021 10:13:08 +0100

elogind (246.10-2) unstable; urgency=medium

  * Re-enable runtime only polkit support (Closes: #563).

 -- Mark Hindley <mark@hindley.org.uk>  Fri, 05 Mar 2021 13:31:13 +0000

elogind (246.10-1) unstable; urgency=medium

  * Merge new upstream version v246.10.
  * Add missing Closes for #507 to version 246.9-1.
  * Remove unnecessary build-depends.
  * d/gbp.conf: update upstream-tag format.

 -- Mark Hindley <mark@hindley.org.uk>  Thu, 04 Mar 2021 17:24:33 +0000

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,12 @@
 Source: elogind
 Section: admin
 Priority: optional
-Maintainer: Debian Ecosystem Init Diversity Team <debian-init-diversity@chiark.greenend.org.uk>
-Uploaders: Mark Hindley <mark@hindley.org.uk>,
-           Ian Jackson <ijackson@chiark.greenend.org.uk>
-Standards-Version: 4.6.2
-Vcs-Git: https://git.devuan.org/devuan/elogind.git -b debian
-Vcs-Browser: https://git.devuan.org/devuan/elogind/tree/debian
+Maintainer: Mark Hindley <mark@hindley.org.uk>
+Standards-Version: 4.5.1
+Vcs-Git: https://git.devuan.org/devuan/elogind.git -b devuan
+Vcs-Browser: https://git.devuan.org/devuan/elogind/tree/devuan
 Homepage: https://github.com/elogind/elogind
+Origin: Devuan
 Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 12),
                dh-exec (>=0.3),
@@ -16,10 +15,10 @@
                meson,
                gperf (>= 3.1),
                gtk-doc-tools,
+               python3-jinja2,
                python3-lxml,
                libcap-dev,
                libudev-dev,
-               libseccomp-dev (>= 2.3.1) [amd64 arm64 armel armhf i386 mips mipsel mips64 mips64el x32 powerpc ppc64 ppc64el s390x],
                libpam0g-dev (>= 1.1.2),
                libacl1-dev,
                libselinux1-dev,
@@ -36,13 +35,32 @@
          ${misc:Depends},
          libudev1,
          libelogind0 (= ${binary:Version}),
-         lsb-base (>= 3.1),
          dbus (>= 1.9.14)
 Recommends: libpam-elogind, polkitd
-Conflicts: systemd
+Breaks: udev (<< 1:3.2.2+devuan1), runit-services-core-antix (<=0.1.6)
+Replaces: udev (<< 1:3.2.2+devuan1), runit-services-core-antix (<=0.1.6)
 Description: user, seat and session management daemon
  elogind is a session management daemon extracted from systemd project's
  "logind"
+
+Package: libelogind-compat
+Section: libs
+Priority: optional
+Architecture: linux-any
+Multi-Arch: same
+Pre-Depends: ${misc:Pre-Depends}
+Depends: ${shlibs:Depends},
+         ${misc:Depends},
+         libelogind0
+Provides: libsystemd0 (= ${source:Upstream-Version})
+Replaces: libsystemd0
+Conflicts: libsystemd0
+Breaks: libelogind0 (<< 246.10-4~)
+Description: user, seat and session management library compatibility
+ The libelogind0 library is ABI compatible with libsystemd0. This package
+ provides the necessary symlinks to allow binaries linked against libsystemd0
+ to work with libelogind0. For full details of the compatibility see
+ README.Debian.
 
 Package: libelogind0
 Section: libs
@@ -52,15 +70,8 @@
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends},
          ${misc:Depends}
-Provides: libsystemd0 (= ${source:Upstream-Version})
-Replaces: libsystemd0
-Conflicts: libsystemd0, systemd
 Description: user, seat and session management library
  This library provides runtime access to elogind session management.
- .
- The library is ABI compatible with libsystemd0 and provides the necessary
- symlinks to allow binaries linked against libsystemd0 to work with
- libelogind0. For full details of the compatibility see README.Debian.
 
 Package: libelogind-dev
 Section: libdevel
@@ -101,9 +112,32 @@
 Depends: ${shlibs:Depends},
          ${misc:Depends},
          elogind (= ${binary:Version}),
+         libelogind-compat,
          libpam-runtime
-Provides: logind (= ${binary:Version})
-Conflicts: logind, libpam-ck-connector
-Replaces: logind
+Conflicts: libpam-ck-connector
+Breaks: libpam-systemd
+Provides: libpam-systemd, logind, default-logind
+Replaces: libpam-systemd
 Description: elogind PAM module
  Plugable Authentication Module to register a session with elogind
+
+
+Package: dummy-logind
+Section: admin
+Priority: optional
+Architecture: all
+Multi-Arch: foreign
+Pre-Depends: ${misc:Pre-Depends}
+Depends: ${shlibs:Depends},
+         ${misc:Depends},
+Conflicts: logind, libpam-ck-connector, desktop-base
+Provides: logind
+Replaces: logind
+Description: Dummy non-functional logind dependency package for build environments
+ An empty dependency package that can be used in build environments to resolve
+ circular dependencies which require coinstallation of libsystemd-dev and
+ libelogind0.
+ .
+ Note that this package provides no logind functionality and will cause
+ breakage on systems that make use of logind interfaces. Any system requiring
+ logind services should install default-logind (currently libpam-elogind).

=== debian/rules ===
--- 
+++ 
@@ -14,7 +14,8 @@
   -Dman=true \
   -Dudevrulesdir=/lib/udev/rules.d \
   -Ddefault-kill-user-processes=false \
-  -Dtests=true
+  -Dtests=true \
+  -Dmode=release
 
 CONFFLAGS_CGROUPCTRL_ELOGIND= \
   -Dcgroup-controller=elogind

## elogind 255.4

=== debian/changelog ===
elogind (255.4-1~rc1) experimental; urgency=medium

  * Merge upstream v255.4 alpha (Closes: #838).
  * d/p: refresh patches and remove one applied upstream.
  * d/gbp.conf: update for alpha builds.
  * d/rules:
    - change meson boolean argument from true to enabled.
    - remove split-/usr configuration.
  * d/*.install: update for merged-/usr.
  * d/elogind.init: update as binariy is now installed in /usr/libexec.
  * d/elogind.install: include sleep.conf.d and fragments.
  * d/libelogind-dev.links: move unversioned link below /usr.

 -- Mark Hindley <mark@hindley.org.uk>  Mon, 01 Apr 2024 18:16:18 +0100

elogind (252.9-2) unstable; urgency=medium

  * d/p: add patch to avoid leaving VT owned by root.

 -- Mark Hindley <mark@hindley.org.uk>  Fri, 10 Nov 2023 22:14:37 +0000

elogind (252.9-1) unstable; urgency=medium

  * Release to unstable.

 -- Mark Hindley <mark@hindley.org.uk>  Wed, 13 Sep 2023 15:28:57 +0100

=== debian/control ===
--- 
+++ 
@@ -22,6 +22,7 @@
                libpam0g-dev (>= 1.1.2),
                libacl1-dev,
                libselinux1-dev,
+               libmount-dev,
                libglib2.0-dev <!nocheck>,
                dbus (>= 1.9.14) <!nocheck>,
 
@@ -37,8 +38,8 @@
          libelogind0 (= ${binary:Version}),
          dbus (>= 1.9.14)
 Recommends: libpam-elogind, polkitd
-Breaks: udev (<< 1:3.2.2+devuan1), runit-services-core-antix (<=0.1.6)
-Replaces: udev (<< 1:3.2.2+devuan1), runit-services-core-antix (<=0.1.6)
+Breaks: udev (<< 1:3.2.2+devuan1)
+Replaces: udev (<< 1:3.2.2+devuan1)
 Description: user, seat and session management daemon
  elogind is a session management daemon extracted from systemd project's
  "logind"

=== debian/rules ===
--- 
+++ 
@@ -7,12 +7,9 @@
 #   behaviour
 
 CONFFLAGS = \
-  -Dpamlibdir=/lib/$(DEB_HOST_MULTIARCH)/security \
-  -Drootlibdir=/lib/$(DEB_HOST_MULTIARCH) \
-  -Dsplit-usr=true \
   -Ddocdir=/usr/share/doc/elogind \
-  -Dman=true \
-  -Dudevrulesdir=/lib/udev/rules.d \
+  -Dman=enabled \
+  -Dudevrulesdir=/usr/lib/udev/rules.d \
   -Ddefault-kill-user-processes=false \
   -Dtests=true \
   -Dmode=release
